`GLIBCXX_3.4.14' not found

Technical support for the Linux and Mac platforms for all Trine games.
T_W
Posts: 3
Joined: Wed Apr 20, 2011 8:08 am

`GLIBCXX_3.4.14' not found

Postby T_W » Wed Apr 20, 2011 8:14 am

Trying to install Trine on 32-bit Ubuntu 10.04.

Getting error: ./Trine-1.32.run: /usr/lib/libstdc++.so.6: version `GLIBCXX_3.4.14' not found (required by ./Trine-1.32.run)

Does the game work w/ 10.04?

User avatar
march
Posts: 6
Joined: Wed Apr 20, 2011 1:47 am
Contact:

Re: `GLIBCXX_3.4.14' not found

Postby march » Wed Apr 20, 2011 9:29 am

Same problem here.

deaddrop
Posts: 4
Joined: Wed Apr 20, 2011 1:46 pm

Re: `GLIBCXX_3.4.14' not found

Postby deaddrop » Wed Apr 20, 2011 1:51 pm

Hi guys,

Thanks for offering your game on humble bundle.
Just wanted to chime in that I am also receiving the exact same error message as OP
Ubuntu 10.04 64bit, I have ia32libs installed, tried with the 64 bit executable.

Thanks,

alt_turo
Posts: 195
Joined: Mon Dec 13, 2010 11:06 am

Re: `GLIBCXX_3.4.14' not found

Postby alt_turo » Wed Apr 20, 2011 3:58 pm

Tester required!

Download these files
http://alternativegames.net/temp/trineInstaller64
http://alternativegames.net/temp/trineInstaller32

And try to execute. This is the installer but without the data files so it doesn't actually do anything. If the installer starts then it's good.

The problem was that the installer was compiled on a computer with too recent libraries. The build environment for the game itself (Debian Lenny) was too old for the installer. I had to setup a new environment for this one.

If someone reports that this works I'll send a new package to Frozenbyte today and it might be downloadable tomorrow.
Turo Lamminen
Alternative Games

T_W
Posts: 3
Joined: Wed Apr 20, 2011 8:08 am

Re: `GLIBCXX_3.4.14' not found

Postby T_W » Wed Apr 20, 2011 4:17 pm

The new trineInstaller32 works on Ubuntu 10.04.1 LTS.

The new program starts up and the "Trine for Linux Installer" pops up.

Looks like you change works!

Thanks for the quick turnaround. How can I find out when the new version is available?

alt_turo
Posts: 195
Joined: Mon Dec 13, 2010 11:06 am

Re: `GLIBCXX_3.4.14' not found

Postby alt_turo » Wed Apr 20, 2011 4:29 pm

You'll find out about the new version when Frozenbyte/Humble Bundle people announce it. Since this was my stupid mistake I'll probably put up a very small update package on our webserver so people can use that while you wait.

Anyone try the 64-bit installer yet?
Turo Lamminen
Alternative Games

T_W
Posts: 3
Joined: Wed Apr 20, 2011 8:08 am

Re: `GLIBCXX_3.4.14' not found

Postby T_W » Wed Apr 20, 2011 4:38 pm

I do not have an 64-bit machine, but I can also report that the new 32-bit installer works on Ubuntu 10.10.

storma
Posts: 7
Joined: Wed Apr 20, 2011 5:07 pm

Re: `GLIBCXX_3.4.14' not found

Postby storma » Wed Apr 20, 2011 5:09 pm

I just tested the 64bit installer and can confirm that it works. :)

alt_turo
Posts: 195
Joined: Mon Dec 13, 2010 11:06 am

Re: `GLIBCXX_3.4.14' not found

Postby alt_turo » Wed Apr 20, 2011 5:15 pm

Good. I just sent the updated packages to Frozenbyte.

In the meantime you can download an unofficial update here:
http://alternativegames.net/temp/trineU ... pdate2.zip

BEWARE! THIS HAS NOT BEEN EXTENSIVELY TESTED!

Short changelog:
Installer issue has been fixed.
There should be an "oxygen meter" when diving. This was missing from the Linux version. It's now visible again.
Game no longer crashes on ATI cards on shutdown.
Turo Lamminen
Alternative Games

spencer
Posts: 13
Joined: Wed Apr 20, 2011 7:24 pm

Re: `GLIBCXX_3.4.14' not found

Postby spencer » Wed Apr 20, 2011 7:32 pm

alt_turo wrote:Tester required!

Download these files
http://alternativegames.net/temp/trineInstaller64
http://alternativegames.net/temp/trineInstaller32

And try to execute. This is the installer but without the data files so it doesn't actually do anything. If the installer starts then it's good.

That works on Debian 6.0.1 Stable/Squeeze AMD64.

The problem was that the installer was compiled on a computer with too recent libraries. The build environment for the game itself (Debian Lenny) was too old for the installer. I had to setup a new environment for this one.

That was my guess. It asked for 3.4.14 of something, and Debian Squeeze (along with Ubuntu 10.04, which is similar) has libstdc++.so.6.0.13. I doubt there is any major functionality differences between the two versions, so this is probably just be the installer asking for a version number that it doesn't really need. A friend had no problems on Ubuntu 10.10, and I would expect Debian Testing to run without troubles as well.

If someone reports that this works I'll send a new package to Frozenbyte today and it might be downloadable tomorrow.

Thanks. :)

spencer
Posts: 13
Joined: Wed Apr 20, 2011 7:24 pm

Re: `GLIBCXX_3.4.14' not found

Postby spencer » Wed Apr 20, 2011 7:42 pm

alt_turo wrote:Good. I just sent the updated packages to Frozenbyte.

In the meantime you can download an unofficial update here:
http://alternativegames.net/temp/trineU ... pdate2.zip

BEWARE! THIS HAS NOT BEEN EXTENSIVELY TESTED!

Short changelog:
Installer issue has been fixed.
There should be an "oxygen meter" when diving. This was missing from the Linux version. It's now visible again.
Game no longer crashes on ATI cards on shutdown.

./trine-bin64: error while loading shared libraries: libavutil.so.50: cannot open shared object file: No such file or directory

The Debian package that aptitude shows installed on my system is called libavutil49, so it looks like the library is one version too new again.

FrozenBug
Posts: 13
Joined: Fri Jan 07, 2011 6:52 pm

Re: `GLIBCXX_3.4.14' not found

Postby FrozenBug » Wed Apr 20, 2011 10:56 pm

When I run trineInstaller32 I get this error:

Exception caught: failed to open file ./trineInstaller32: zip-file central directory not found


When I run trine-bin32 from the trineUnofficialUpdate2 folder, I get this error:

./trine-bin32: error while loading shared libraries: libavcodec.so.51: cannot open shared object file: No such file or directory

alt_turo
Posts: 195
Joined: Mon Dec 13, 2010 11:06 am

Re: `GLIBCXX_3.4.14' not found

Postby alt_turo » Wed Apr 20, 2011 11:32 pm

The game should not be using system libav libraries but the ones shipped with the game. Did the previous versions work? Please paste the output of

Code: Select all

ldd trine-bin32
ldd trine-bin64
Turo Lamminen
Alternative Games

spencer
Posts: 13
Joined: Wed Apr 20, 2011 7:24 pm

Re: `GLIBCXX_3.4.14' not found

Postby spencer » Thu Apr 21, 2011 5:23 am

alt_turo wrote:The game should not be using system libav libraries but the ones shipped with the game. Did the previous versions work? Please paste the output of

Code: Select all

ldd trine-bin32
ldd trine-bin64

I thought the .run file was the installer? None of the libraries shipped with the game should even be in place yet. I do not have any versions previous to Trine-1.64.run, which had the GLIBCXX_3.4.14 not found error, and the one you linked to here, which gave the error I reported in my last post.
But here is the output of ldd trine-bin64:

Code: Select all

   linux-vdso.so.1 =>  (0x00007fffa874c000)
   libavcodec.so.52 => /usr/lib/libavcodec.so.52 (0x00007fba4c62b000)
   libavformat.so.52 => /usr/lib/libavformat.so.52 (0x00007fba4c337000)
   libavutil.so.50 => not found
   libswscale.so.0 => /usr/lib/libswscale.so.0 (0x00007fba4c0d9000)
   libz.so.1 => /usr/lib/libz.so.1 (0x00007fba4bec2000)
   libcv.so.1 => not found
   libboost_thread-mt.so.1.35.0 => not found
   libpthread.so.0 => /lib/libpthread.so.0 (0x00007fba4bca5000)
   libSDL-1.2.so.0 => /usr/lib/libSDL-1.2.so.0 (0x00007fba4b9ea000)
   libSDL_image-1.2.so.0 => not found
   libSDL_ttf-2.0.so.0 => not found
   libgtk-x11-2.0.so.0 => /usr/lib/libgtk-x11-2.0.so.0 (0x00007fba4b3c8000)
   libgobject-2.0.so.0 => /usr/lib/libgobject-2.0.so.0 (0x00007fba4b181000)
   libvorbisfile.so.3 => /usr/lib/libvorbisfile.so.3 (0x00007fba4af7a000)
   libopenal.so.1 => not found
   libPhysXLoader.so.1 => not found
   libGLEW.so.1.5 => not found
   libGL.so.1 => /usr/lib/libGL.so.1 (0x00007fba4acf7000)
   libGLU.so.1 => /usr/lib/libGLU.so.1 (0x00007fba4aa86000)
   libCg.so => not found
   libCgGL.so => not found
   libstdc++.so.6 => /usr/lib/libstdc++.so.6 (0x00007fba4a771000)
   libm.so.6 => /lib/libm.so.6 (0x00007fba4a4ef000)
   libgcc_s.so.1 => /lib/libgcc_s.so.1 (0x00007fba4a2d8000)
   libc.so.6 => /lib/libc.so.6 (0x00007fba49f77000)
   libavutil.so.49 => /usr/lib/libavutil.so.49 (0x00007fba49d68000)
   libdirac_encoder.so.0 => /usr/lib/libdirac_encoder.so.0 (0x00007fba49acf000)
   libfaad.so.2 => /usr/lib/libfaad.so.2 (0x00007fba4988e000)
   libgsm.so.1 => /usr/lib/libgsm.so.1 (0x00007fba49681000)
   libopenjpeg.so.2 => /usr/lib/libopenjpeg.so.2 (0x00007fba49460000)
   libschroedinger-1.0.so.0 => /usr/lib/libschroedinger-1.0.so.0 (0x00007fba491b6000)
   libspeex.so.1 => /usr/lib/libspeex.so.1 (0x00007fba48f9d000)
   libtheora.so.0 => /usr/lib/libtheora.so.0 (0x00007fba48d4f000)
   libvorbisenc.so.2 => /usr/lib/libvorbisenc.so.2 (0x00007fba48881000)
   libvorbis.so.0 => /usr/lib/libvorbis.so.0 (0x00007fba48655000)
   libbz2.so.1.0 => /lib/libbz2.so.1.0 (0x00007fba48444000)
   /lib64/ld-linux-x86-64.so.2 (0x00007fba4d097000)
   libasound.so.2 => /usr/lib/libasound.so.2 (0x00007fba4815f000)
   librt.so.1 => /lib/librt.so.1 (0x00007fba47f57000)
   libdl.so.2 => /lib/libdl.so.2 (0x00007fba47d52000)
   libdirectfb-1.2.so.9 => /usr/lib/libdirectfb-1.2.so.9 (0x00007fba47ad0000)
   libfusion-1.2.so.9 => /usr/lib/libfusion-1.2.so.9 (0x00007fba478c6000)
   libdirect-1.2.so.9 => /usr/lib/libdirect-1.2.so.9 (0x00007fba476ae000)
   libvga.so.1 => /usr/lib/libvga.so.1 (0x00007fba47450000)
   libgdk_pixbuf-2.0.so.0 => /usr/lib/libgdk_pixbuf-2.0.so.0 (0x00007fba47234000)
   libgdk-x11-2.0.so.0 => /usr/lib/libgdk-x11-2.0.so.0 (0x00007fba46f86000)
   libpangocairo-1.0.so.0 => /usr/lib/libpangocairo-1.0.so.0 (0x00007fba46d7a000)
   libX11.so.6 => /usr/lib/libX11.so.6 (0x00007fba46a3f000)
   libXcomposite.so.1 => /usr/lib/libXcomposite.so.1 (0x00007fba4683c000)
   libXdamage.so.1 => /usr/lib/libXdamage.so.1 (0x00007fba4663a000)
   libXfixes.so.3 => /usr/lib/libXfixes.so.3 (0x00007fba46435000)
   libatk-1.0.so.0 => /usr/lib/libatk-1.0.so.0 (0x00007fba46213000)
   libcairo.so.2 => /usr/lib/libcairo.so.2 (0x00007fba45f96000)
   libgio-2.0.so.0 => /usr/lib/libgio-2.0.so.0 (0x00007fba45ce4000)
   libpangoft2-1.0.so.0 => /usr/lib/libpangoft2-1.0.so.0 (0x00007fba45ab9000)
   libpango-1.0.so.0 => /usr/lib/libpango-1.0.so.0 (0x00007fba4586d000)
   libfreetype.so.6 => /usr/lib/libfreetype.so.6 (0x00007fba455e5000)
   libfontconfig.so.1 => /usr/lib/libfontconfig.so.1 (0x00007fba453af000)
   libgmodule-2.0.so.0 => /usr/lib/libgmodule-2.0.so.0 (0x00007fba451ac000)
   libgthread-2.0.so.0 => /usr/lib/libgthread-2.0.so.0 (0x00007fba44fa8000)
   libglib-2.0.so.0 => /lib/libglib-2.0.so.0 (0x00007fba44ccb000)
   libpcre.so.3 => /lib/libpcre.so.3 (0x00007fba44a9b000)
   libogg.so.0 => /usr/lib/libogg.so.0 (0x00007fba44894000)
   libXext.so.6 => /usr/lib/libXext.so.6 (0x00007fba44682000)
   libXxf86vm.so.1 => /usr/lib/libXxf86vm.so.1 (0x00007fba4447d000)
   libdrm.so.2 => /usr/lib/libdrm.so.2 (0x00007fba44271000)
   liborc-0.4.so.0 => /usr/lib/liborc-0.4.so.0 (0x00007fba44017000)
   libx86.so.1 => /lib/libx86.so.1 (0x00007fba43df4000)
   libXrender.so.1 => /usr/lib/libXrender.so.1 (0x00007fba43bea000)
   libXinerama.so.1 => /usr/lib/libXinerama.so.1 (0x00007fba439e8000)
   libXi.so.6 => /usr/lib/libXi.so.6 (0x00007fba437d8000)
   libXrandr.so.2 => /usr/lib/libXrandr.so.2 (0x00007fba435d0000)
   libXcursor.so.1 => /usr/lib/libXcursor.so.1 (0x00007fba433c6000)
   libxcb.so.1 => /usr/lib/libxcb.so.1 (0x00007fba431a9000)
   libpixman-1.so.0 => /usr/lib/libpixman-1.so.0 (0x00007fba42f51000)
   libpng12.so.0 => /lib/libpng12.so.0 (0x00007fba42d2a000)
   libxcb-render-util.so.0 => /usr/lib/libxcb-render-util.so.0 (0x00007fba42b27000)
   libxcb-render.so.0 => /usr/lib/libxcb-render.so.0 (0x00007fba4291f000)
   libresolv.so.2 => /lib/libresolv.so.2 (0x00007fba42708000)
   libselinux.so.1 => /lib/libselinux.so.1 (0x00007fba424ea000)
   libexpat.so.1 => /usr/lib/libexpat.so.1 (0x00007fba422c1000)
   libXau.so.6 => /usr/lib/libXau.so.6 (0x00007fba420be000)
   libXdmcp.so.6 => /usr/lib/libXdmcp.so.6 (0x00007fba41eb8000)

CyDharttha
Posts: 2
Joined: Thu Apr 21, 2011 6:13 am

Re: `GLIBCXX_3.4.14' not found

Postby CyDharttha » Thu Apr 21, 2011 6:19 am

Thanks for the great work! On Ubuntu 10.04 here; I had just downloaded the installer an hour ago, so I think it's best I (im)patiently wait for the latest package. I assume it would hit the HumbleBundle download site soon after? Sure looks like a great game. Thanks Frozenbyte for the Linux support!!

deaddrop
Posts: 4
Joined: Wed Apr 20, 2011 1:46 pm

Re: `GLIBCXX_3.4.14' not found

Postby deaddrop » Thu Apr 21, 2011 7:15 am

Can't wait to give it a try, thanks for the quick turnaround :)

edit - Just downloaded the 64 bit installer, trineInstaller64, and it starts fine, ubuntu 10.04
Will give the linked download a try and see how it goes

tomu
Posts: 2
Joined: Thu Apr 21, 2011 12:54 pm

Re: `GLIBCXX_3.4.14' not found

Postby tomu » Thu Apr 21, 2011 7:32 pm

Hi, any update about Ubuntu 10.4 lucher?

ntroncos
Posts: 1
Joined: Fri Apr 22, 2011 6:55 pm

Re: `GLIBCXX_3.4.14' not found

Postby ntroncos » Fri Apr 22, 2011 6:57 pm



I just tested the 64 bit version on Fedora 13 64 bits.

It works as expected.

User avatar
pattern23
Posts: 2
Joined: Tue Apr 19, 2011 7:56 pm

Re: `GLIBCXX_3.4.14' not found

Postby pattern23 » Fri Apr 22, 2011 10:01 pm

Will we find the updated installers in humble bundle's download?

raf82
Posts: 1
Joined: Fri Apr 22, 2011 11:12 pm

Re: `GLIBCXX_3.4.14' not found

Postby raf82 » Fri Apr 22, 2011 11:21 pm

Hi,

Having the
libavcodec.so.51: cannot open shared object file: No such file or directory
error, here's the output of ldd trine-bin32 on 32-bit Ubuntu 10.04:

Code: Select all

$ ldd trine-bin32
   linux-gate.so.1 =>  (0x00f14000)
   libavcodec.so.51 => not found
   libavformat.so.52 => /usr/lib/i686/cmov/libavformat.so.52 (0x00210000)
   libavutil.so.49 => /usr/lib/i686/cmov/libavutil.so.49 (0x00878000)
   libz.so.1 => /lib/libz.so.1 (0x0034c000)
   libcv.so.1 => not found
   libboost_thread-mt.so.1.35.0 => not found
   libpthread.so.0 => /lib/tls/i686/cmov/libpthread.so.0 (0x003ce000)
   libSDL-1.2.so.0 => /usr/lib/libSDL-1.2.so.0 (0x0014e000)
   libSDL_image-1.2.so.0 => /usr/lib/libSDL_image-1.2.so.0 (0x00110000)
   libSDL_ttf-2.0.so.0 => /usr/lib/libSDL_ttf-2.0.so.0 (0x00e94000)
   libgtk-x11-2.0.so.0 => /usr/lib/libgtk-x11-2.0.so.0 (0x003e7000)
   libgobject-2.0.so.0 => /usr/lib/libgobject-2.0.so.0 (0x00361000)
   libvorbisfile.so.3 => /usr/lib/libvorbisfile.so.3 (0x00c26000)
   libopenal.so.1 => /usr/lib/libopenal.so.1 (0x00a56000)
   libPhysXLoader.so.1 => not found
   libGLEW.so.1.5 => /usr/lib/libGLEW.so.1.5 (0x007bc000)
   libGL.so.1 => /usr/lib/fglrx/libGL.so.1 (0x00d8b000)
   libGLU.so.1 => /usr/lib/libGLU.so.1 (0x00889000)
   libCg.so => not found
   libCgGL.so => not found
   libstdc++.so.6 => /usr/lib/libstdc++.so.6 (0x008fa000)
   libm.so.6 => /lib/tls/i686/cmov/libm.so.6 (0x00d61000)
   libgcc_s.so.1 => /lib/libgcc_s.so.1 (0x0012d000)
   libc.so.6 => /lib/tls/i686/cmov/libc.so.6 (0x00aa4000)
   libavcodec.so.52 => /usr/lib/i686/cmov/libavcodec.so.52 (0x00f15000)
   libbz2.so.1.0 => /lib/libbz2.so.1.0 (0x001dd000)
   /lib/ld-linux.so.2 (0x00d1e000)
   libdl.so.2 => /lib/tls/i686/cmov/libdl.so.2 (0x001ef000)
   libpulse-simple.so.0 => /usr/lib/libpulse-simple.so.0 (0x00855000)
   libpulse.so.0 => /usr/lib/libpulse.so.0 (0x00808000)
   libdirectfb-1.2.so.0 => /usr/lib/libdirectfb-1.2.so.0 (0x00c2f000)
   libfusion-1.2.so.0 => /usr/lib/libfusion-1.2.so.0 (0x001f3000)
   libdirect-1.2.so.0 => /usr/lib/libdirect-1.2.so.0 (0x0030e000)
   libtiff.so.4 => /usr/lib/libtiff.so.4 (0x009f0000)
   libjpeg.so.62 => /usr/lib/libjpeg.so.62 (0x00324000)
   libfreetype.so.6 => /usr/lib/libfreetype.so.6 (0x00ca6000)
   libgdk-x11-2.0.so.0 => /usr/lib/libgdk-x11-2.0.so.0 (0x0a44c000)
   libXext.so.6 => /usr/lib/libXext.so.6 (0x001fd000)
   libXrender.so.1 => /usr/lib/libXrender.so.1 (0x003a0000)
   libXinerama.so.1 => /usr/lib/libXinerama.so.1 (0x00345000)
   libXi.so.6 => /usr/lib/libXi.so.6 (0x003aa000)
   libXrandr.so.2 => /usr/lib/libXrandr.so.2 (0x003b8000)
   libXcursor.so.1 => /usr/lib/libXcursor.so.1 (0x003c0000)
   libgdk_pixbuf-2.0.so.0 => /usr/lib/libgdk_pixbuf-2.0.so.0 (0x0085a000)
   libpangocairo-1.0.so.0 => /usr/lib/libpangocairo-1.0.so.0 (0x00c15000)
   libX11.so.6 => /usr/lib/libX11.so.6 (0x05d08000)
   libXcomposite.so.1 => /usr/lib/libXcomposite.so.1 (0x003ca000)
   libXdamage.so.1 => /usr/lib/libXdamage.so.1 (0x0084a000)
   libXfixes.so.3 => /usr/lib/libXfixes.so.3 (0x0084e000)
   libatk-1.0.so.0 => /usr/lib/libatk-1.0.so.0 (0x00d3b000)
   libcairo.so.2 => /usr/lib/libcairo.so.2 (0x146ea000)
   libgio-2.0.so.0 => /usr/lib/libgio-2.0.so.0 (0x04b18000)
   libpangoft2-1.0.so.0 => /usr/lib/libpangoft2-1.0.so.0 (0x00e9b000)
   libpango-1.0.so.0 => /usr/lib/libpango-1.0.so.0 (0x00ec2000)
   libfontconfig.so.1 => /usr/lib/libfontconfig.so.1 (0x08d7e000)
   libgmodule-2.0.so.0 => /usr/lib/libgmodule-2.0.so.0 (0x00a4b000)
   libgthread-2.0.so.0 => /usr/lib/libgthread-2.0.so.0 (0x00a50000)
   librt.so.1 => /lib/tls/i686/cmov/librt.so.1 (0x00bfe000)
   libglib-2.0.so.0 => /lib/libglib-2.0.so.0 (0x0bb66000)
   libpcre.so.3 => /lib/libpcre.so.3 (0x1b2bd000)
   libvorbis.so.0 => /usr/lib/libvorbis.so.0 (0x19830000)
   libogg.so.0 => /usr/lib/libogg.so.0 (0x00c07000)
   libXmu.so.6 => /usr/lib/libXmu.so.6 (0x00e75000)
   libdirac_encoder.so.0 => /usr/lib/libdirac_encoder.so.0 (0x20443000)
   libfaad.so.2 => /usr/lib/libfaad.so.2 (0x07183000)
   libgsm.so.1 => /usr/lib/libgsm.so.1 (0x00f05000)
   libmp3lame.so.0 => /usr/lib/libmp3lame.so.0 (0x10b0e000)
   libopenjpeg.so.2 => /usr/lib/libopenjpeg.so.2 (0x1d3be000)
   libschroedinger-1.0.so.0 => /usr/lib/libschroedinger-1.0.so.0 (0x0c0a9000)
   libspeex.so.1 => /usr/lib/sse2/libspeex.so.1 (0x0188b000)
   libtheora.so.0 => /usr/lib/libtheora.so.0 (0x187a4000)
   libvorbisenc.so.2 => /usr/lib/libvorbisenc.so.2 (0x06741000)
   libx264.so.85 => /usr/lib/i686/sse2/libx264.so.85 (0x210ec000)
   libxvidcore.so.4 => /usr/lib/libxvidcore.so.4 (0x0175d000)
   libpulsecommon-0.9.21.so => /usr/lib/libpulsecommon-0.9.21.so (0x12f63000)
   libICE.so.6 => /usr/lib/libICE.so.6 (0x07de7000)
   libSM.so.6 => /usr/lib/libSM.so.6 (0x00d57000)
   libXtst.so.6 => /usr/lib/libXtst.so.6 (0x00c0e000)
   libxcb.so.1 => /usr/lib/libxcb.so.1 (0x1ed2a000)
   libpixman-1.so.0 => /usr/lib/libpixman-1.so.0 (0x0ed80000)
   libpng12.so.0 => /lib/libpng12.so.0 (0x08e13000)
   libxcb-render-util.so.0 => /usr/lib/libxcb-render-util.so.0 (0x00c21000)
   libxcb-render.so.0 => /usr/lib/libxcb-render.so.0 (0x00e8c000)
   libresolv.so.2 => /lib/tls/i686/cmov/libresolv.so.2 (0x07227000)
   libselinux.so.1 => /lib/libselinux.so.1 (0x0186b000)
   libexpat.so.1 => /lib/libexpat.so.1 (0x07a01000)
   libXt.so.6 => /usr/lib/libXt.so.6 (0x15599000)
   liboil-0.3.so.0 => /usr/lib/liboil-0.3.so.0 (0x05309000)
   libwrap.so.0 => /lib/libwrap.so.0 (0x0bc52000)
   libsndfile.so.1 => /usr/lib/libsndfile.so.1 (0x18258000)
   libdbus-1.so.3 => /lib/libdbus-1.so.3 (0x19524000)
   libuuid.so.1 => /lib/libuuid.so.1 (0x1dfd1000)
   libXau.so.6 => /usr/lib/libXau.so.6 (0x00874000)
   libXdmcp.so.6 => /usr/lib/libXdmcp.so.6 (0x08c3a000)
   libnsl.so.1 => /lib/tls/i686/cmov/libnsl.so.1 (0x2269b000)
   libFLAC.so.8 => /usr/lib/libFLAC.so.8 (0x02ccb000)


Hope this helps!

TTIO
Posts: 7
Joined: Fri Apr 22, 2011 7:09 pm

Re: `GLIBCXX_3.4.14' not found

Postby TTIO » Fri Apr 22, 2011 11:26 pm

Incidentally, I'm pretty sure I have all of the libraries in trine/lib32 or lib64 in my main libraries in /lib - would it not be possible to just use those? Saves ~80MB :P
But yeah, would that not solve these problems?

javix
Posts: 1
Joined: Sat Apr 23, 2011 12:11 am

Re: `GLIBCXX_3.4.14' not found

Postby javix » Sat Apr 23, 2011 12:20 am

Hi,

I am also running ubuntu 10.04 and have the same problems:

Code: Select all

$ ./Trine-1.32.run
./Trine-1.32.run: /usr/lib/libstdc++.so.6: version `GLIBCXX_3.4.14' not found (required by ./Trine-1.32.run

trine-bin32

Code: Select all

./trine-bin32
./trine-bin32: error while loading shared libraries: libavcodec.so.51: cannot open shared object file: No such file or directory

When using ./trineInstaller32 starts the gui, asks for an installation folder and then

Code: Select all

Exception caught: failed to open file ./trineInstaller32: zip-file central directory not found


How did the other ubuntu 10.04 users get it to work? Do I have to rename my Trine-1.32.run to something else or put it inside the data folder (created by unzipping the trineInstaller32)?

the output of ldd

Code: Select all

$ ldd trine-bin32
        linux-gate.so.1 =>  (0xb776d000)
        libavcodec.so.51 => not found
        libavformat.so.52 => /usr/lib/i686/cmov/libavformat.so.52 (0xb764e000)
        libavutil.so.49 => /usr/lib/i686/cmov/libavutil.so.49 (0xb763c000)
        libz.so.1 => /lib/libz.so.1 (0xb7627000)
        libcv.so.1 => not found
        libboost_thread-mt.so.1.35.0 => not found
        libpthread.so.0 => /lib/tls/i686/cmov/libpthread.so.0 (0xb760e000)
        libSDL-1.2.so.0 => /usr/lib/libSDL-1.2.so.0 (0xb757f000)
        libSDL_image-1.2.so.0 => /usr/lib/libSDL_image-1.2.so.0 (0xb7562000)
        libSDL_ttf-2.0.so.0 => /usr/lib/libSDL_ttf-2.0.so.0 (0xb755b000)
        libgtk-x11-2.0.so.0 => /usr/lib/libgtk-x11-2.0.so.0 (0xb7186000)
        libgobject-2.0.so.0 => /usr/lib/libgobject-2.0.so.0 (0xb7147000)
        libvorbisfile.so.3 => /usr/lib/libvorbisfile.so.3 (0xb713d000)
        libopenal.so.1 => /usr/lib/libopenal.so.1 (0xb70ef000)
        libPhysXLoader.so.1 => not found
        libGLEW.so.1.5 => /usr/lib/libGLEW.so.1.5 (0xb70a3000)
        libGL.so.1 => /usr/lib/nvidia-current/libGL.so.1 (0xb6fde000)
        libGLU.so.1 => /usr/lib/libGLU.so.1 (0xb6f6c000)
        libCg.so => not found
        libCgGL.so => not found
        libstdc++.so.6 => /usr/lib/libstdc++.so.6 (0xb6e76000)
        libm.so.6 => /lib/tls/i686/cmov/libm.so.6 (0xb6e50000)
        libgcc_s.so.1 => /lib/libgcc_s.so.1 (0xb6e30000)
        libc.so.6 => /lib/tls/i686/cmov/libc.so.6 (0xb6cd6000)
        libavcodec.so.52 => /usr/lib/i686/cmov/libavcodec.so.52 (0xb648f000)
        libbz2.so.1.0 => /lib/libbz2.so.1.0 (0xb647d000)
        /lib/ld-linux.so.2 (0xb776e000)
        libasound.so.2 => /usr/lib/libasound.so.2 (0xb63b5000)
        librt.so.1 => /lib/tls/i686/cmov/librt.so.1 (0xb63ab000)
        libdl.so.2 => /lib/tls/i686/cmov/libdl.so.2 (0xb63a7000)
        libdirectfb-1.2.so.0 => /usr/lib/libdirectfb-1.2.so.0 (0xb6330000)
        libfusion-1.2.so.0 => /usr/lib/libfusion-1.2.so.0 (0xb6326000)
        libdirect-1.2.so.0 => /usr/lib/libdirect-1.2.so.0 (0xb6310000)
        libtiff.so.4 => /usr/lib/libtiff.so.4 (0xb62b4000)
        libjpeg.so.62 => /usr/lib/libjpeg.so.62 (0xb6293000)
        libfreetype.so.6 => /usr/lib/libfreetype.so.6 (0xb621d000)
        libgdk-x11-2.0.so.0 => /usr/lib/libgdk-x11-2.0.so.0 (0xb6187000)
        libXext.so.6 => /usr/lib/libXext.so.6 (0xb6177000)
        libXrender.so.1 => /usr/lib/libXrender.so.1 (0xb616c000)
        libXinerama.so.1 => /usr/lib/libXinerama.so.1 (0xb6168000)
        libXi.so.6 => /usr/lib/libXi.so.6 (0xb615a000)
        libXrandr.so.2 => /usr/lib/libXrandr.so.2 (0xb6152000)
        libXcursor.so.1 => /usr/lib/libXcursor.so.1 (0xb6148000)
        libgdk_pixbuf-2.0.so.0 => /usr/lib/libgdk_pixbuf-2.0.so.0 (0xb612d000)
        libpangocairo-1.0.so.0 => /usr/lib/libpangocairo-1.0.so.0 (0xb6121000)
        libX11.so.6 => /usr/lib/libX11.so.6 (0xb6004000)
        libXcomposite.so.1 => /usr/lib/libXcomposite.so.1 (0xb6000000)
        libXdamage.so.1 => /usr/lib/libXdamage.so.1 (0xb5ffc000)
        libXfixes.so.3 => /usr/lib/libXfixes.so.3 (0xb5ff6000)
        libatk-1.0.so.0 => /usr/lib/libatk-1.0.so.0 (0xb5fd9000)
        libcairo.so.2 => /usr/lib/libcairo.so.2 (0xb5f5f000)
        libgio-2.0.so.0 => /usr/lib/libgio-2.0.so.0 (0xb5ec1000)
        libpangoft2-1.0.so.0 => /usr/lib/libpangoft2-1.0.so.0 (0xb5e9a000)
        libpango-1.0.so.0 => /usr/lib/libpango-1.0.so.0 (0xb5e57000)
        libfontconfig.so.1 => /usr/lib/libfontconfig.so.1 (0xb5e26000)
        libgmodule-2.0.so.0 => /usr/lib/libgmodule-2.0.so.0 (0xb5e21000)
        libgthread-2.0.so.0 => /usr/lib/libgthread-2.0.so.0 (0xb5e1b000)
        libglib-2.0.so.0 => /lib/libglib-2.0.so.0 (0xb5d51000)
        libpcre.so.3 => /lib/libpcre.so.3 (0xb5d20000)
        libvorbis.so.0 => /usr/lib/libvorbis.so.0 (0xb5cf6000)
        libogg.so.0 => /usr/lib/libogg.so.0 (0xb5cef000)
        libXmu.so.6 => /usr/lib/libXmu.so.6 (0xb5cd8000)
        libGLcore.so.1 => /usr/lib/nvidia-current/libGLcore.so.1 (0xb46c8000)
        libnvidia-tls.so.1 => /usr/lib/nvidia-current/tls/libnvidia-tls.so.1 (0xb46c6000)
        libdirac_encoder.so.0 => /usr/lib/libdirac_encoder.so.0 (0xb4631000)
        libfaad.so.2 => /usr/lib/libfaad.so.2 (0xb45f1000)
        libgsm.so.1 => /usr/lib/libgsm.so.1 (0xb45e3000)
        libmp3lame.so.0 => /usr/lib/libmp3lame.so.0 (0xb4570000)
        libopenjpeg.so.2 => /usr/lib/libopenjpeg.so.2 (0xb4551000)
        libschroedinger-1.0.so.0 => /usr/lib/libschroedinger-1.0.so.0 (0xb44d4000)
        libspeex.so.1 => /usr/lib/sse2/libspeex.so.1 (0xb44b7000)
        libtheora.so.0 => /usr/lib/libtheora.so.0 (0xb4465000)
        libvorbisenc.so.2 => /usr/lib/libvorbisenc.so.2 (0xb4369000)
        libx264.so.85 => /usr/lib/i686/sse2/libx264.so.85 (0xb42cf000)
        libxvidcore.so.4 => /usr/lib/libxvidcore.so.4 (0xb41c0000)
        libxcb.so.1 => /usr/lib/libxcb.so.1 (0xb41a6000)
        libpixman-1.so.0 => /usr/lib/libpixman-1.so.0 (0xb414c000)
        libpng12.so.0 => /lib/libpng12.so.0 (0xb4126000)
        libxcb-render-util.so.0 => /usr/lib/libxcb-render-util.so.0 (0xb4121000)
        libxcb-render.so.0 => /usr/lib/libxcb-render.so.0 (0xb4119000)
        libresolv.so.2 => /lib/tls/i686/cmov/libresolv.so.2 (0xb4105000)
        libselinux.so.1 => /lib/libselinux.so.1 (0xb40ea000)
        libexpat.so.1 => /lib/libexpat.so.1 (0xb40c2000)
        libXt.so.6 => /usr/lib/libXt.so.6 (0xb406f000)
        liboil-0.3.so.0 => /usr/lib/liboil-0.3.so.0 (0xb4000000)
        libXau.so.6 => /usr/lib/libXau.so.6 (0xb3ffc000)
        libXdmcp.so.6 => /usr/lib/libXdmcp.so.6 (0xb3ff5000)
        libSM.so.6 => /usr/lib/libSM.so.6 (0xb3fec000)
        libICE.so.6 => /usr/lib/libICE.so.6 (0xb3fd3000)
        libuuid.so.1 => /lib/libuuid.so.1 (0xb3fce000)


Thank you!

bloodsword
Posts: 1
Joined: Sat Apr 23, 2011 2:37 am

Re: `GLIBCXX_3.4.14' not found

Postby bloodsword » Sat Apr 23, 2011 2:53 am

Hi,

I had the same problem with Debian 6.0 (stable) 32-bit.
I have updated libstdc++ to wheezy's version (Debian testing).
libstdc++ was 4.4.5-8, and now it's 4.6.0-2.

Now it runs, and game looks great.

capponz
Posts: 7
Joined: Sat Apr 23, 2011 3:10 am

Re: `GLIBCXX_3.4.14' not found

Postby capponz » Sat Apr 23, 2011 3:24 am

Hi, I've got the same errors.

Code: Select all

`GLIBCXX_3.4.14' not found

than I tried the installer:

Code: Select all

Exception caught: failed to open file ./trineInstaller32: zip-file central directory not found

It's Lucid Lynx. LTS ..? Why you release a not working version? ? :cry:

thanks,
capponz

spencer
Posts: 13
Joined: Wed Apr 20, 2011 7:24 pm

Re: `GLIBCXX_3.4.14' not found

Postby spencer » Sat Apr 23, 2011 4:23 am

@javix and capponz: As alt_turo mentioned, that installer file was just a test to see if the installer would start up properly. It does not actually have the game in it.

bloodsword wrote:Hi,

I had the same problem with Debian 6.0 (stable) 32-bit.
I have updated libstdc++ to wheezy's version (Debian testing).
libstdc++ was 4.4.5-8, and now it's 4.6.0-2.

Now it runs, and game looks great.

Does anyone know a way to make it work without destabilizing the OS? Mixed stable/testing systems almost invariably die in interesting ways.

Updating the whole system to Testing is a thought, but there are other packages in Testing that are currently broken for me, so that's a no go for the time being.


Return to “Trine Technical Support for Linux & Mac”

Who is online

Users browsing this forum: No registered users and 2 guests